## libx86 0.99-1

=== Makefile ===
OBJECTS = x86-common.o
CFLAGS = -O2 -Wall -DDEBUG -g

ifeq ($(BACKEND), x86emu)
	OBJECTS += thunk.o x86emu/decode.o x86emu/debug.o x86emu/fpu.o \
	x86emu/ops.o x86emu/ops2.o x86emu/prim_ops.o x86emu/sys.o
else
	OBJECTS += lrmi.o
endif

ifeq ($(LIBRARY), shared)
	CFLAGS += -fPIC
endif

default:
	$(MAKE) LIBRARY=static static
	$(MAKE) objclean
	$(MAKE) LIBRARY=shared shared

static: $(OBJECTS)
	$(AR) cru libx86.a $(OBJECTS)

shared: $(OBJECTS)
	$(CC) $(CFLAGS) -o libx86.so.1 -shared -Wl,-soname,libx86.so.1 $(OBJECTS)

objclean:
	$(MAKE) -C x86emu clean
	rm -f *.o *~

clean: objclean
	rm -f *.so.1 *.a

install: libx86.so.1
	install -D libx86.so.1 $(DESTDIR)/usr/lib/libx86.so.1
	install -D libx86.a $(DESTDIR)/usr/lib/libx86.a
	ln -sf /usr/lib/libx86.so.1 $(DESTDIR)/usr/lib/libx86.so
	install -D lrmi.h $(DESTDIR)/usr/include/libx86.h

=== debian/changelog ===
libx86 (0.99-1) unstable; urgency=low

  * Initial release

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 29 Oct 2006 18:43:31 +0000

=== debian/control ===
Source: libx86
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libx86-dev
Section: libdevel
Architecture: any
Depends: libx86-1 (= ${Source-Version})
Description: x86 real-mode library - development files
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 . 
 This package contains the development files for libx86.

Package: libx86-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x86 real-mode library
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386))
	BACKEND =
else
	BACKEND = "BACKEND=x86emu"
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libx86 0.99-1.2

=== debian/changelog ===
libx86 (0.99-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move libx86.so.1 to /lib
    (https://launchpad.net/ubuntu/+source/libx86/+bug/83920).

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Feb 2007 09:08:05 +0000

libx86 (0.99-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer consent.
  * debian/rules, Makefile: Fix some misuses of make that prevented x86emu
    from being used on amd64 systems.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Feb 2007 16:01:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386))
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(findstring $(DEB_HOST_ARCH),i386))
 	BACKEND =
 else
-	BACKEND = "BACKEND=x86emu"
+	BACKEND = x86emu
 endif
 
 CFLAGS = -Wall -g
@@ -45,7 +47,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) BACKEND="$(BACKEND)"
 
 	touch $@

## libx86 0.99-1.2ubuntu2

=== debian/changelog ===
libx86 (0.99-1.2ubuntu2) gutsy; urgency=low

  * Handle reading addresses that are outside the process range with the 
    x86emu backend - vm86 support is rather more complicated, so not 
    implemented yet.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 24 Sep 2007 01:15:59 +0100

libx86 (0.99-1.2ubuntu1) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 19:28:11 +0000

## libx86 0.99-1.2ubuntu4

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 OBJECTS = x86-common.o
 CFLAGS = -O2 -Wall -DDEBUG -g
 
-ifeq ($(BACKEND), x86emu)
+ifeq ($(BACKEND),x86emu)
 	OBJECTS += thunk.o x86emu/decode.o x86emu/debug.o x86emu/fpu.o \
 	x86emu/ops.o x86emu/ops2.o x86emu/prim_ops.o x86emu/sys.o
 else
 	OBJECTS += lrmi.o
 endif
 
-ifeq ($(LIBRARY), shared)
+ifeq ($(LIBRARY),shared)
 	CFLAGS += -fPIC
 endif
 
@@ -31,7 +31,7 @@
 	rm -f *.so.1 *.a
 
 install: libx86.so.1
-	install -D libx86.so.1 $(DESTDIR)/usr/lib/libx86.so.1
+	install -D libx86.so.1 $(DESTDIR)/lib/libx86.so.1
 	install -D libx86.a $(DESTDIR)/usr/lib/libx86.a
-	ln -sf /usr/lib/libx86.so.1 $(DESTDIR)/usr/lib/libx86.so
+	ln -sf /lib/libx86.so.1 $(DESTDIR)/usr/lib/libx86.so
 	install -D lrmi.h $(DESTDIR)/usr/include/libx86.h

=== debian/changelog ===
libx86 (0.99-1.2ubuntu4) hardy; urgency=low

  * thunk.c: clean up duplicate DEBUG define to fix powerpc FTBFS.

 -- Kees Cook <kees@ubuntu.com>  Wed, 02 Apr 2008 17:47:21 -0700

libx86 (0.99-1.2ubuntu3) hardy; urgency=low

  * Add xorg upstream fixes for cpuid, rdtsc, bsr, bsf opcodes, from upstream
    http://gitweb.freedesktop.org/?p=xorg/xserver.git (LP: #147623).
    - 66fa87292ef26bd0f464481287f3af992cd5741c
    - c4b7e9d1c16797c3e4b1200b40aceab5696a7fb8
    - 2fe74ef339c3a4902ae8214f5a0454662895422c
    - 66f8001b61d12eaf4905ac71ccbb3f304914d00d

 -- Kees Cook <kees@ubuntu.com>  Fri, 21 Mar 2008 19:12:37 -0700

## libx86 1.1%2Bds1

=== debian/control ===
Source: libx86
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.codon.org.uk/~mjg59/libx86/
Vcs-Git: https://salsa.debian.org/kkamagui-guest/libx86.git
Vcs-Browser: https://salsa.debian.org/kkamagui-guest/libx86

Package: libx86-1
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any-amd64 any-i386
Description: x86 real-mode library
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 .
 This package contains the shared library.

Package: libx86-dev
Section: libdevel
Depends:
 libx86-1 (= ${binary:Version}),
 ${misc:Depends},
Architecture: any-amd64 any-i386
Description: x86 real-mode library - development files
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 .
 This package contains the development files for libx86.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# see #852663 regarding the -O1 workaround
CFLAGS += -O1 -Wall -DDEBUG -g

export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
export LIBEXECDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

BACKEND = x86emu

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BACKEND="$(BACKEND)"

override_dh_missing:
	dh_missing --fail-missing

## libx86 1.1+ds1

=== debian/changelog ===
libx86 (1.1+ds1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Compile wth -O1 as warkaround for illegal instruction on "dpms off".
    (Closes: #851263)

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Jan 2017 10:35:37 +0200

libx86 (1.1+ds1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove explicit setting of compression type (Closes: #833251)
    Patch from Hilko Bengen, thanks.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 19 Dec 2016 09:43:32 +0000

libx86 (1.1+ds1-10) unstable; urgency=low

  * Build with x86emu
    Patch by Evgeni Golov
    Closes: #492470

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 09 Jun 2012 08:51:37 +1000

libx86 (1.1+ds1-9) unstable; urgency=low

  * Build architectures are any-i386 and any-amd64 only
    Closes: #654399, #570676, #398249
  * Comment out "export DEB_BUILD_MAINT_OPTIONS = hardening=+all"
    Closes: #676584

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jun 2012 08:39:13 +1000

libx86 (1.1+ds1-8) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Add multiarch support
  * Use hardening options
  * Fix typo in Vcs-Browser
    Patch by Jakub Wilk
    Closes: #634832

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Jun 2012 20:14:53 +1000

libx86 (1.1+ds1-7) unstable; urgency=low

  * Fix debian-rules-missing-recommended-target
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jul 2011 23:01:15 +1000

libx86 (1.1+ds1-6) unstable; urgency=low

  * New maintainer
    Closes: 546252
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 12 Sep 2009 11:02:59 +1000

libx86 (1.1+ds1-5) unstable; urgency=low

  * Orphaning the package.

 -- David Paleino <d.paleino@gmail.com>  Sat, 12 Sep 2009 00:43:30 +0200

libx86 (1.1+ds1-4) unstable; urgency=medium

  * debian/patches/series:
    - disable 01-update_lrmi.patch, 0.10 dropped support for anything
      !x86, asked upstream to take a look and eventually update the
      base source code (Closes: #533259)
    - 01-fix_processor_flags.patch re-added.
  * debian/patches/01-fix_processor_flags.patch: description added
  * debian/control: Standards-Version bumped to 3.8.2 (no changes needed)

 -- David Paleino <d.paleino@gmail.com>  Tue, 23 Jun 2009 21:06:58 +0200

libx86 (1.1+ds1-3) unstable; urgency=low

  * debian/watch updated to use dversionmangle
  * debian/patches/:
    - 00-fix_Makefile.patch: description added
    - 01-fix_processor_flags.patch removed, merged in LRMI upstream
    - 01-update_lrmi.patch added, LRMI updated to 0.10
  * debian/README.Debian-source updated with information about quilt
  * debian/control:
    - removed duplicate Section fields
    - extended long description for libx86-1 (make lintian happy)
    - debhelper B-D bumped to >= 7.0.50
    - quilt B-D bumped to >= 0.46-7~ to use --with quilt in debian/rules
    - added ${misc:Depends} to libx86-dev dependencies
    - packaging moved to git, updating Vcs-* fields
    - DMUA set
    - Standards-Version bumped to 3.8.1 (no changes needed)
    - put libx86-dbg into "debug" Section
  * debian/rules:
    - updated to dh7
    - don't uselessly try to parallel-build it... (fixes FTBFS with dh7
      layout)
    - use --with quilt
  * debian/compat bumped to 7
  * debian/copyright updated

 -- David Paleino <d.paleino@gmail.com>  Fri, 12 Jun 2009 22:19:30 +0200

libx86 (1.1+ds1-2) unstable; urgency=low

  * Disable the x86emu backend for lpia architecture (Closes: #488100)
  * debian/patches/:
    - 01-fix_processor_flags.patch added, Linux 2.6.26-rc1 and newer no
      longer define *_MASK; use X86_EFLAGS_* instead (thanks to Colin
      Watson) (Closes: #488101)
  * debian/control:
    - Standards-Version bumped to 3.8.0:
      + debian/rules improved to allow parallel building $(MAKE) jobs.

 -- David Paleino <d.paleino@gmail.com>  Thu, 26 Jun 2008 14:43:35 +0200

libx86 (1.1+ds1-1) unstable; urgency=low

  * New upstream release
    - fix mmap() call, which segfaulted on NX-capable kernels/arches
    - handle reading addresses that are outside the process range with
      the x86emu backend
  * Make libx86 build again on Arch: any (Closes: #478186)
    - debian/rules updated
    - debian/control updated
  * debian/patches:
    - 00-fix_Makefile.patch updated
    - 01-read_addresses_outside_process_range_x86emu.patch removed, applied
      upstream.
    - 02-fix_memory_mmap_flags.patch removed, applied upstream.

 -- David Paleino <d.paleino@gmail.com>  Fri, 30 May 2008 18:45:05 +0200

libx86 (0.99+ds1-2) unstable; urgency=low

  * Make libx86 mmap memory with PROT_EXEC flag set (Closes: #476586)
    (debian/patches/02-fix_memory_mmap_flags.patch added -- thanks to
    Klaus S. Madsen)
  * debian/control:
    - build the package only on i386 and amd64
    - removed libc6-dev from Build-Depends

 -- David Paleino <d.paleino@gmail.com>  Fri, 25 Apr 2008 10:27:24 +0200

libx86 (0.99+ds1-1) unstable; urgency=low

  * Adopting the package (Closes: #459900)
  * Acknowledge previous NMUs
  * debian/watch added
  * debian/{dirs,docs} removed
  * debian/libx86-1.shlibs added
  * debian/control:
    - Standards-Version updated (no changes needed)
    - Maintainer updated
    - added new package "libx86-dbg", which provides debugging symbols
    - Vcs-Svn and Vcs-Browser added: the package is now in collab-maint
    - Homepage field added
    - added quilt to Build-Depends
  * debian/rules updated:
    - removed useless and commented dh_* calls
    - failsafe $(MAKE) clean
    - removed useless configure target
    - support quilt patch system
    - other minor changes
  * debian/copyright rewritten
  * debian/README.Debian-source added
  * debian/patches:
    - 00-fix_Makefile.patch added (merging changes to upstream


=== debian/control ===
Source: libx86
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9)
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.codon.org.uk/~mjg59/libx86/
Vcs-Git: git://git.debian.org/git/collab-maint/libx86.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libx86.git

Package: libx86-dev
Section: libdevel
Depends: libx86-1 (= ${binary:Version}), ${misc:Depends}
Architecture: any-i386 any-amd64
Description: x86 real-mode library - development files
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 . 
 This package contains the development files for libx86.

Package: libx86-1
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any-i386 any-amd64
Description: x86 real-mode library
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 .
 This package contains the shared library.

Package: libx86-dbg
Multi-Arch: same
Priority: extra
Section: debug
Depends: libx86-1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Architecture: any-i386 any-amd64
Description: x86 real-mode library - debugging symbols
 A library to provide support for making real-mode calls x86 calls. On x86
 hardware, vm86 mode is used. On other platforms, x86 emulation is provided.
 .
 This package provides debugging symbols for libx86.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# see #852663 regarding the -O1 workaround
CFLAGS += -O1 -Wall -DDEBUG -g

export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
export LIBEXECDIR = /lib/$(DEB_HOST_MULTIARCH)

BACKEND = x86emu

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- BACKEND="$(BACKEND)"

override_dh_strip:
	dh_strip --dbg-package=libx86-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://www.codon.org.uk/~mjg59/libx86/downloads/libx86-([[:digit:]].*)\.tar\.gz
